using System;
using System.Collections.Generic;

namespace Lab4
{
    public class Biblioteca
    {
        private Dictionary<int, Libro> _libri = new Dictionary<int, Libro>();
        private Dictionary<int, Persona> _persone = new Dictionary<int, Persona>();

        public IEnumerable<Libro> Libri
        {
            get { return _libri.Values; }
        }

        public IEnumerable<Persona> Persone
        {
            get { return _persone.Values; }
        }

        public void Aggiungi(Libro libro)
        {
            if (libro == null)
                throw new ArgumentNullException("libro");
            _libri.Add(libro.Id, libro);
        }

        public void Aggiungi(Persona persona)
        {
            if (persona == null)
                throw new ArgumentNullException("persona");
            _persone.Add(persona.Id, persona);
        }
    }
}
